Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 154501 - '-r' (append) not working correctly with tape drive
Summary: '-r' (append) not working correctly with tape drive
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: tar
Version: 4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Peter Vrabec
QA Contact: Ben Levenson
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-04-12 09:20 UTC by Jay Turner
Modified: 2015-01-08 00:09 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-11 10:40:01 UTC


Attachments (Terms of Use)

Description Jay Turner 2005-04-12 09:20:50 UTC
Description of problem:
The following behavior has been reported with tar-1.13.25-13.  It works
correctly when using a file instead of the tape drive.

# tar -cvf /dev/nst0 folderA
folderA/
folderA/t1
folderA/t2
# mt -f /dev/nst0 rewind
# tar -tvf /dev/nst0
drwxr-xr-x root/root         0 2005-04-01 15:54:53 folderA/
-rw-r--r-- root/root         7 2005-04-01 15:54:48 folderA/t1
-rw-r--r-- root/root        10 2005-04-01 15:54:55 folderA/t2
# mt -f /dev/nst0 rewind
# tar -rvf /dev/nst0 folderB
folderB/
folderB/t3
folderB/t4
# mt -f /dev/nst0 rewind
# tar -tvf /dev/nst0
drwxr-xr-x root/root         0 2005-04-01 15:54:53 folderA/
-rw-r--r-- root/root         7 2005-04-01 15:54:48 folderA/t1
-rw-r--r-- root/root        10 2005-04-01 15:54:55 folderA/t2
#

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Peter Vrabec 2005-04-26 14:43:08 UTC
What kind of tape do u use? 
Can u reproduce it with another one?


Note You need to log in before you can comment on or make changes to this bug.